> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/unigetui/da/reference/package-managers.md).

# Understøttede pakkehåndteringer

Pakkehåndteringer, som Devolutions UniGetUI understøtter på Windows, macOS og Linux, hvad hver af dem installerer, og hvad der skal være på computeren, for at Devolutions UniGetUI kan bruge dem.

Devolutions UniGetUI installerer ikke selv software. Det styrer pakkehåndteringerne på Deres computer og viser deres pakker ét sted. Hvilke pakkehåndteringer der er tilgængelige, afhænger af Deres operativsystem, og hver af dem virker først, når dens krav er opfyldt.

For at slå en pakkehåndtering til eller fra, ændre dens eksekverbare fil eller administrere dens kilder skal De åbne ***Pakkehåndteringer*** i venstremenuen. Alle indstillinger er angivet i [Alle indstillinger](/unigetui/da/reference/settings.md#package-manager-preferences).

## Windows

<table><thead><tr><th width="250">PAKKEHÅNDTERING</th><th>CLI-ID</th><th>HVAD DEN INSTALLERER</th><th>KRAV</th></tr></thead><tbody><tr><td><strong>WinGet</strong></td><td><code>winget</code></td><td>Generel software og Microsoft Store-apps fra kilderne <code>winget</code>, <code>winget-fonts</code> og <code>msstore</code>.</td><td>WinGet (App Installer), som følger med Windows 10 og 11. Hvis WinGet ikke kan bruges, falder Devolutions UniGetUI tilbage til Pinget, en portabel WinGet-implementering, der følger med Devolutions UniGetUI.</td></tr><tr><td><strong>Scoop</strong></td><td><code>scoop</code></td><td>Hjælpeprogrammer, kommandolinjeprogrammer og generel software fra buckets som <code>main</code>, <code>extras</code> og <code>versions</code>. Generel software kræver bucket'en <code>extras</code>.</td><td>Scoop. De kan installere det fra indstillingssiden for Scoop med <em><strong>Installer Scoop</strong></em>. Devolutions UniGetUI har også brug for Scoop-Search og Git og tilbyder at installere dem med Scoop.</td></tr><tr><td><strong>Chocolatey</strong></td><td><code>chocolatey</code></td><td>Generel software fra lageret <code>community</code>.</td><td>Chocolatey.</td></tr><tr><td><strong>PowerShell 5.x</strong></td><td><code>winps</code></td><td>PowerShell-moduler, scripts og cmdlets fra PowerShell Gallery (<code>PSGallery</code>; <code>PoshTestGallery</code> kan tilføjes).</td><td>Windows PowerShell, som følger med Windows.</td></tr><tr><td><strong>PowerShell 7.x</strong></td><td><code>pwsh</code></td><td>PowerShell-moduler, scripts og cmdlets fra PowerShell Gallery.</td><td>PowerShell 7 (<code>pwsh.exe</code>).</td></tr><tr><td><strong>Npm</strong></td><td><code>npm</code></td><td>Node.js-biblioteker og -værktøjer fra npm-registreringsdatabasen.</td><td>Node.js med npm.</td></tr><tr><td><strong>Bun</strong></td><td><code>bun</code></td><td>JavaScript-pakker fra npm-registreringsdatabasen.</td><td>Bun.</td></tr><tr><td><strong>Pip</strong></td><td><code>pip</code></td><td>Python-biblioteker og -værktøjer fra PyPI.</td><td>Python med pip. Søgning bruger pakkeindekset på PyPI direkte: der kræves ingen ekstra Python-pakke.</td></tr><tr><td><strong>.NET Tool</strong></td><td><code>dotnet-tool</code></td><td>.NET-værktøjer fra nuget.org.</td><td>.NET SDK (<code>dotnet</code>).</td></tr><tr><td><strong>Cargo</strong></td><td><code>cargo</code></td><td>Rust-biblioteker og -programmer fra crates.io.</td><td>Rust med Cargo. Installation og opdatering kræver også <code>cargo-binstall</code> og <code>cargo-update</code>.</td></tr><tr><td><strong>vcpkg</strong></td><td><code>vcpkg</code></td><td>C- og C++-biblioteker.</td><td>vcpkg og Git. vcpkg-roden skal angives i miljøvariablen <code>VCPKG_ROOT</code> eller med <em><strong>Skift placering af vcpkg-roden</strong></em>.</td></tr></tbody></table>

## macOS

<table><thead><tr><th width="250">PAKKEHÅNDTERING</th><th>CLI-ID</th><th>HVAD DEN INSTALLERER</th><th>KRAV</th></tr></thead><tbody><tr><td><strong>Homebrew</strong></td><td><code>homebrew</code></td><td>Formulae (<code>Homebrew</code>) og casks (<code>Homebrew Cask</code>) samt de taps, De tilføjer.</td><td>Homebrew (<code>brew</code>).</td></tr><tr><td><strong>PowerShell 7.x</strong></td><td><code>pwsh</code></td><td>PowerShell-moduler, scripts og cmdlets fra PowerShell Gallery.</td><td>PowerShell 7 (<code>pwsh</code>).</td></tr><tr><td><strong>Npm</strong></td><td><code>npm</code></td><td>Node.js-biblioteker og -værktøjer fra npm-registreringsdatabasen.</td><td>Node.js med npm.</td></tr><tr><td><strong>Bun</strong></td><td><code>bun</code></td><td>JavaScript-pakker fra npm-registreringsdatabasen.</td><td>Bun.</td></tr><tr><td><strong>Pip</strong></td><td><code>pip</code></td><td>Python-biblioteker og -værktøjer fra PyPI.</td><td>Python med pip.</td></tr><tr><td><strong>.NET Tool</strong></td><td><code>dotnet-tool</code></td><td>.NET-værktøjer fra nuget.org.</td><td>.NET SDK (<code>dotnet</code>).</td></tr><tr><td><strong>Cargo</strong></td><td><code>cargo</code></td><td>Rust-biblioteker og -programmer fra crates.io.</td><td>Rust med Cargo, <code>cargo-binstall</code> og <code>cargo-update</code>.</td></tr><tr><td><strong>vcpkg</strong></td><td><code>vcpkg</code></td><td>C- og C++-biblioteker.</td><td>vcpkg og Git med vcpkg-roden angivet.</td></tr></tbody></table>

## Linux

Devolutions UniGetUI læser `/etc/os-release` for at vælge de distributionsspecifikke pakkehåndteringer. Hvis filen ikke kan læses, indlæses de alle.

<table><thead><tr><th width="250">PAKKEHÅNDTERING</th><th>CLI-ID</th><th>HVAD DEN INSTALLERER</th><th>KRAV</th></tr></thead><tbody><tr><td><strong>Apt</strong></td><td><code>apt</code></td><td>Debian- og Ubuntu-pakker.</td><td>En distribution baseret på Debian eller Ubuntu.</td></tr><tr><td><strong>Dnf</strong></td><td><code>dnf</code></td><td>RPM-pakker.</td><td>En distribution baseret på Fedora, RHEL eller CentOS.</td></tr><tr><td><strong>Pacman</strong></td><td><code>pacman</code></td><td>Arch Linux-pakker.</td><td>Arch Linux eller en afledning.</td></tr><tr><td><strong>Snap</strong></td><td><code>snap</code></td><td>Snap-pakker fra Snapcraft-butikken.</td><td>Snap på en distribution baseret på Debian, Ubuntu, Fedora eller Arch.</td></tr><tr><td><strong>Flatpak</strong></td><td><code>flatpak</code></td><td>Skrivebordsapps fra de konfigurerede remotes, f.eks. Flathub.</td><td>Flatpak på en distribution baseret på Debian, Ubuntu, Fedora eller Arch.</td></tr><tr><td><strong>Homebrew</strong></td><td><code>homebrew</code></td><td>Formulae. Casks er ikke tilgængelige på Linux.</td><td>Homebrew (<code>brew</code>).</td></tr><tr><td><strong>PowerShell 7.x</strong></td><td><code>pwsh</code></td><td>PowerShell-moduler, scripts og cmdlets fra PowerShell Gallery.</td><td>PowerShell 7 (<code>pwsh</code>).</td></tr><tr><td><strong>Npm</strong></td><td><code>npm</code></td><td>Node.js-biblioteker og -værktøjer fra npm-registreringsdatabasen.</td><td>Node.js med npm.</td></tr><tr><td><strong>Bun</strong></td><td><code>bun</code></td><td>JavaScript-pakker fra npm-registreringsdatabasen.</td><td>Bun.</td></tr><tr><td><strong>Pip</strong></td><td><code>pip</code></td><td>Python-biblioteker og -værktøjer fra PyPI.</td><td>Python med pip.</td></tr><tr><td><strong>.NET Tool</strong></td><td><code>dotnet-tool</code></td><td>.NET-værktøjer fra nuget.org.</td><td>.NET SDK (<code>dotnet</code>).</td></tr><tr><td><strong>Cargo</strong></td><td><code>cargo</code></td><td>Rust-biblioteker og -programmer fra crates.io.</td><td>Rust med Cargo, <code>cargo-binstall</code> og <code>cargo-update</code>.</td></tr><tr><td><strong>vcpkg</strong></td><td><code>vcpkg</code></td><td>C- og C++-biblioteker.</td><td>vcpkg og Git med vcpkg-roden angivet.</td></tr></tbody></table>

{% hint style="info" %}
**CLI-id** er den værdi, indstillingen `--manager` i [kommandolinjegrænsefladen](/unigetui/da/reference/cli.md) og [automatiserings-API'en](/unigetui/da/reference/ipc-api.md) forventer.
{% endhint %}

{% hint style="warning" %}
Pakker udgives af tredjeparter, ikke af Devolutions UniGetUI eller Devolutions. Kontrollér udgiveren og kilden, før De installerer en pakke. Se [Hvor pakker kommer fra, og hvad De kan stole på](/unigetui/da/vejledninger/understand/trust-and-security.md).
{% endhint %}

## Godt at vide

* Almindelige Microsoft Store-apps vises ikke som opdateringer i Devolutions UniGetUI. De bliver ved med at blive opdateret via Store. Se [Hvad Devolutions UniGetUI ikke gør](/unigetui/da/vejledninger/understand/limits.md).
* Mangler WinGet, eller er det i stykker? Se [WinGet mangler eller er i stykker](/unigetui/da/hjaelp/troubleshooting/winget-missing-or-broken.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/unigetui/da/reference/package-managers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
